Name:           squirrel
Version:        3.2
Release:        3%{?dist}
Summary:        High level imperative/OO programming language

License:        Zlib
URL:            http://squirrel-lang.org/
Source0:        https://github.com/albertodemichelis/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        sq.1
Patch0:         squirrel-3.2-ocs.patch
Patch1:         fix-in-thread.call.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

ExcludeArch: %{ix86}


%description
Squirrel is a high level imperative/OO programming language, designed
to be a powerful scripting tool that fits in the size, memory bandwidth,
and real-time requirements of applications like games.

%package libs
Summary:        Libraries needed to run Squirrel scripts

%description libs
Libraries needed to run Squirrel scripts.

%package devel
Summary:        Development files needed to use Squirrel libraries
Requires:       %{name}-libs = %{version}-%{release}

%description devel
Development files needed to use Squirrel libraries.


%prep
%autosetup -p1


%build
%cmake -DDISABLE_STATIC=1
%cmake_build

pushd doc
make html
popd


%install
%cmake_install

mkdir -p %{buildroot}%{_mandir}/man1/
install -p -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/


%files
%license COPYRIGHT
%{_bindir}/sq
%{_mandir}/man1/sq.1*

%files libs
%license COPYRIGHT
%doc README HISTORY
%{_libdir}/libsqstdlib.so.%{version}
%{_libdir}/libsquirrel.so.%{version}

%files devel
%doc doc/build/html
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/libsqstdlib.so
%{_libdir}/libsquirrel.so


%changelog
* Wed Jan 15 2025 Sinong Chen <costinchen@tencent.com> - 3.2-3
- [Type] security
- [DESC] Apply patch to fix CVE-2022-30292

* Mon Apr 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2-2
- rebase to add ocs macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2-1
- initial build
